LogNormalFwdRateEulerConstrained Class Reference

euler stepping More...

`#include <ql/models/marketmodels/evolvers/lognormalfwdrateeulerconstrained.hpp>`

Inheritance diagram for LogNormalFwdRateEulerConstrained:
[legend]

## Public Member Functions

| LogNormalFwdRateEulerConstrained (const boost::shared_ptr< MarketModel > &, const BrownianGeneratorFactory &, const std::vector< Size > &numeraires, Size initialStep=0)
MarketModelConstrained interface
virtual void | setConstraintType (const std::vector< Size > &startIndexOfSwapRate, const std::vector< Size > &endIndexOfSwapRate)
| call once
virtual void | setThisConstraint (const std::vector< Rate > &rateConstraints, const std::valarray< bool > &isConstraintActive)
| call before each path
MarketModel interface
const std::vector< Size > & | numeraires () const
Real | startNewPath ()
Real | advanceStep ()
Size | currentStep () const
const CurveState & | currentState () const
void | setInitialState (const CurveState &)

## Detailed Description

euler stepping